Loading...
Searching...
No Matches
psa_pake_operation_s Struct Reference

`#include <crypto_extra.h>`

Collaboration diagram for psa_pake_operation_s:
[legend]

## Data Fields

unsigned int | private_id
psa_algorithm_t | private_alg
psa_pake_primitive_t | private_primitive
uint8_t | private_stage
union { |
uint8_t private_dummy |
struct psa_jpake_computation_stage_s private_jpake |
} | private_computation_stage
union { |
psa_driver_pake_context_t private_ctx |
struct psa_crypto_driver_pake_inputs_s private_inputs |
} | private_data

## Detailed Description

Definition at line 1148 of file crypto_extra.h.

## Field Documentation

## private_alg

psa_algorithm_t psa_pake_operation_s::private_alg

Definition at line 1160 of file crypto_extra.h.

## [union]

union { ... } psa_pake_operation_s::private_computation_stage

## private_ctx

psa_driver_pake_context_t psa_pake_operation_s::private_ctx

Definition at line 1174 of file crypto_extra.h.

## [union]

union { ... } psa_pake_operation_s::private_data

## private_dummy

uint8_t psa_pake_operation_s::private_dummy

Definition at line 1168 of file crypto_extra.h.

## private_id

unsigned int psa_pake_operation_s::private_id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_crypto_driver_wrappers.h ID value zero means the context is not valid or not assigned to any driver (i.e. none of the driver contexts are active).

Definition at line 1158 of file crypto_extra.h.

## private_inputs

struct psa_crypto_driver_pake_inputs_s psa_pake_operation_s::private_inputs

Definition at line 1175 of file crypto_extra.h.

## private_jpake

struct psa_jpake_computation_stage_s psa_pake_operation_s::private_jpake

Definition at line 1170 of file crypto_extra.h.

## private_primitive

psa_pake_primitive_t psa_pake_operation_s::private_primitive

Definition at line 1162 of file crypto_extra.h.

## private_stage

uint8_t psa_pake_operation_s::private_stage

Definition at line 1165 of file crypto_extra.h.

The documentation for this struct was generated from the following file:

- crypto_extra.h